GET/accounts/{id}

Retrieve

Recovers the account resource by its id

Parameters

Path Parameters

NameType
idrequired
string

Responses

200Retrieve an account.
object

Account of type bank

idrequiredstring

Primary account identifier

typerequiredstring

Top-level account category. - `BANK`: deposit accounts (checking, savings). The `bankData` object is populated. - `CREDIT`: credit-card accounts. The `creditData` object is populated.

BANKCREDIT
subtyperequiredstring

Account subtype within its `type`. - `CHECKING_ACCOUNT`: conta corrente (`type=BANK`). - `SAVINGS_ACCOUNT`: conta poupança (`type=BANK`). - `CREDIT_CARD`: credit card account (`type=CREDIT`). For these the `number` field is masked to the last 4 digits.

SAVINGS_ACCOUNTCHECKING_ACCOUNTCREDIT_CARD
numberrequiredstring

External identifier of the account

namerequiredstring

Name of the account in a descriptive format

marketingNamestring

Name of the account as defined externally

balancerequirednumber (double)

Funds of the account

itemIdrequiredstring (uuid)

Attached item's primary identifier

taxNumberstring

Tax ID of the corresponding owner

ownerstring

Name of the owner of the account

currencyCoderequiredstring

Code referencing the currency of the balance

bankDataobject

Bank account additional fields

transferNumberstring

Complete number of the bank account `(agency code / account number)`

closingBalancenumber (double)

Balance including not posted transactions

automaticallyInvestedBalancenumber (double)

Balance automatically invested in the account by the FI

overdraftContractedLimitnumber (double)

Overdraft contracted limit

overdraftUsedLimitnumber (double)

Overdraft used limit

unarrangedOverdraftAmountnumber (double)

Valor de operação contratada em caráter emergencial para cobertura de saldo devedor em conta de depósitos à vista e de excesso sobre o limite pactuado de cheque especial.

hasReservedBalanceboolean | nullnullable

Whether the account has any active reserved balances ("saldo reservado"), such as goal-based savings ("caixinhas") or judicial holds

reservedBalancesobject[] | nullnullable

Funds reserved/earmarked on the account. Only present when hasReservedBalance is true and the institution exposes the data

creditDataobject

Credit account additional fields

levelstring

Card level (Black, Signature)

brandstring

Card Brand (Visa, Mastercard, Elo)

brandAdditionalInfostring

Free text describing the brand category when brand is 'OTHER'

balanceCloseDatestring (date-time)

Date when the balance was closed

balanceDueDatestring (date-time)

Date when the balance is dued

availableCreditLimitnumber (double)

Credit limit available to spent

balanceForeignCurrencynumber (double)

Balance in USD

minimumPaymentnumber (double)

Minimum payment due

creditLimitnumber (double)

Maximum amount that can be spent

isLimitFlexibleboolean

Indicates whether the credit limit can be adjusted (e.g. a customer can request an increase). Only returned when reported by the institution.

statusstring

Credit card status

ACTIVEBLOCKEDCANCELLED
holderTypestring

Credit card holder type

MAINADDITIONAL
disaggregatedCreditLimitsobject[]

Disaggregated credit card limits

additionalCardsobject[]

Additional credit cards associated with the main one

createdAtrequiredstring (date-time)

Date when the account was first created in Pluggy

updatedAtrequiredstring (date-time)

Date of the last update of the account data

Example response

json
{
  "id": "a658c848-e475-457b-8565-d1fffba127c4",
  "type": "BANK",
  "subtype": "SAVINGS_ACCOUNT",
  "number": "40114687/1234",
  "name": "Conta Corrente",
  "marketingName": "SIGNATURE CJA. AHORRO PESOS",
  "balance": 120950,
  "itemId": "a0922d6f-2007-4169-a181-b961500608db",
  "taxNumber": "416.799.495-00",
  "owner": "John Doe",
  "currencyCode": "BRL",
  "bankData": {
    "transferNumber": "string",
    "closingBalance": 0,
    "automaticallyInvestedBalance": 0,
    "overdraftContractedLimit": 0,
    "overdraftUsedLimit": 0,
    "unarrangedOverdraftAmount": 0,
    "hasReservedBalance": true,
    "reservedBalances": [
      {
        "name": "string",
        "identification": "string",
        "availableAmounts": [
          {
            "amount": 0,
            "currencyCode": "string",
            "remuneration": {
              "preFixedRate": 0,
              "postFixedIndexerPercentage": 0,
              "rateType": "string",
              "indexer": "string",
              "calculation": "string",
              "ratePeriodicity": "string",
              "indexerAdditionalInfo": "string"
            }
          }
        ]
      }
    ]
  },
  "creditData": {
    "level": "string",
    "brand": "string",
    "brandAdditionalInfo": "string",
    "balanceCloseDate": "2024-01-01T00:00:00Z",
    "balanceDueDate": "2024-01-01T00:00:00Z",
    "availableCreditLimit": 0,
    "balanceForeignCurrency": 0,
    "minimumPayment": 0,
    "creditLimit": 0,
    "isLimitFlexible": true,
    "status": "ACTIVE",
    "holderType": "MAIN",
    "disaggregatedCreditLimits": [
      {
        "creditLineLimitType": "string",
        "consolidationType": "string",
        "identificationNumber": "string",
        "isLimitFlexible": true,
        "usedAmount": 0,
        "usedAmountCurrencyCode": "string",
        "lineName": "CREDITO_A_VISTA",
        "lineNameAdditionalInfo": "string",
        "limitAmount": 0,
        "limitAmountCurrencyCode": "string",
        "limitAmountReason": "string",
        "customizedLimitAmount": 0,
        "customizedLimitAmountCurrencyCode": "string",
        "availableAmount": 0,
        "availableAmountCurrencyCode": "string"
      }
    ],
    "additionalCards": [
      {
        "number": "string"
      }
    ]
  },
  "createdAt": "2024-01-15T13:21:08.456Z",
  "updatedAt": "2024-07-22T18:05:11.328Z"
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/accounts/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters